> For the complete documentation index, see [llms.txt](https://docs.infraon.io/infraon-infinity-api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.infraon.io/infraon-infinity-api-guide/modules/announcement.md).

# Announcement

## Gets a list of announcement

> This endpoint is used to fetch all the announcement in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/announcement/announcements/":{"get":{"operationId":"ux_common_announcement_announcements_retrieve","description":"This endpoint is used to fetch all the announcement in the current organization","summary":"Gets a list of announcement","parameters":[{"in":"query","name":"items_per_page","schema":{"type":"integer"},"description":"Items Per Page","required":true},{"in":"query","name":"page","schema":{"type":"integer"},"description":"Page Number","required":true},{"in":"query","name":"reverse","schema":{"type":"boolean"},"description":"Sorting Order"},{"in":"query","name":"sort","schema":{"type":"string"},"description":"Sorting Key"}],"tags":["Announcement"],"responses":{"200":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}},"description":""}}}}}}
```

## Creates a new Announcement

> This endpoint is used to save a new announcement for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/announcement/announcements/":{"post":{"operationId":"ux_common_announcement_announcements_create","description":"This endpoint is used to save a new announcement for the current organization","summary":"Creates a new Announcement","tags":["Announcement"],"requestBody":{"content":{"application/json":{"schema":{"type":"object","additionalProperties":{}}}}},"responses":{"201":{"description":"No response body"}}}}}}
```

## Gets a announcement with the given id

> This endpoint is used to fetch a announcement details in the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/announcement/announcements/{id}/":{"get":{"operationId":"ux_common_announcement_announcements_retrieve_2","description":"This endpoint is used to fetch a announcement details in the current organization","summary":"Gets a announcement with the given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Announcement"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Edits the announcement with given id

> This endpoint is used to edit an existing announcement for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/announcement/announcements/{id}/":{"put":{"operationId":"ux_common_announcement_announcements_update","description":"This endpoint is used to edit an existing announcement for the current organization","summary":"Edits the announcement with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Announcement"],"responses":{"200":{"description":"No response body"}}}}}}
```

## Delete the announcement with given id

> This endpoint is used to delete an existing announcement for the current organization

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/announcement/announcements/{id}/":{"delete":{"operationId":"ux_common_announcement_announcements_destroy","description":"This endpoint is used to delete an existing announcement for the current organization","summary":"Delete the announcement with given id","parameters":[{"in":"path","name":"id","schema":{"type":"string"},"required":true}],"tags":["Announcement"],"responses":{"204":{"description":"No response body"}}}}}}
```

## GET /ux/common/announcement/announcements/change-ancmt/

> API endpoint that allows announcements to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/announcement/announcements/change-ancmt/":{"get":{"operationId":"ux_common_announcement_announcements_change_ancmt_retrieve","description":"API endpoint that allows announcements to be viewed or edited.","tags":["Announcement"],"responses":{"200":{"description":"No response body"}}}}}}
```

## GET /ux/common/announcement/announcements/options/

> API endpoint that allows announcements to be viewed or edited.

```json
{"openapi":"3.0.3","info":{"title":"","version":"0.0.0"},"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"Authorization"}}},"paths":{"/ux/common/announcement/announcements/options/":{"get":{"operationId":"ux_common_announcement_announcements_options_retrieve","description":"API endpoint that allows announcements to be viewed or edited.","tags":["Announcement"],"responses":{"200":{"description":"No response body"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.infraon.io/infraon-infinity-api-guide/modules/announcement.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
